include(../desktopbsd.pro.inc)

TARGET = desktopbsd
TEMPLATE = lib
CONFIG += warn_on dll

INSTALLS += pkgdb_chk \
            target
target.path = /usr/local/lib 

pkgdb_chk.files += pkgdb_check 
pkgdb_chk.path = /usr/local/sbin

TARGETDEPS += ../libdbsddisk/libdbsddisk.so

INCLUDEPATH += /usr/X11R6/include
QMAKE_LIBDIR = ../libdbsddisk
LIBS += -lcam \
        -ldbsddisk \
        -ldevinfo \
        -lcrypt \
        -lkvm \
        -lutil

HEADERS += device.h \
           executor.h \
           rcconf.h \
           size.h \
           sysctl.h \
           variables.h \
           chunk.h \
           disk.h \
           fsdevice.h \
           mntdevice.h \
           battery.h \
           accesspoint.h \
           defaultrouter.h \
           domainname.h \
           hostname.h \
           ipv4addr.h \
           ipv4netmask.h \
           lan.h \
           netinterface.h \
           networks.h \
           resolver.h \
           wepmode.h \
           wirelessinterface.h \
           wlan.h \
           package.h \
           user.h \
           portauditengine.h \
           portsupdateengine.h \
           pkgdbupdateengine.h \
           pkgupgradeengine.h \
           pkgdeinstallengine.h \
           dbsdsettings.h \
           fastestcvsupengine.h \
           portsdbupdateengine.h \
           users.h \
           pkgversion.h \
           unixprocess.h \
           portscleanengine.h \
           pkgdbcheckengine.h \
           sambaconf.h \
           dbsdtranslator.h \
           environment.h \
           pkgupgradecontroller.h \
           portsnapengine.h \
           packagesettings.h

SOURCES += device.cpp \
           executor.cpp \
           rcconf.cpp \
           size.cpp \
           variables.cpp \
           chunk.cpp \
           disk.cpp \
           mntdevice.cpp \
           ipv4addr.cpp \
           ipv4netmask.cpp \
           lan.cpp \
           netinterface.cpp \
           networks.cpp \
           resolver.cpp \
           wirelessinterface.cpp \
           wlan.cpp \
           user.cpp \
           package.cpp \
           portauditengine.cpp \
           pkgupgradeengine.cpp \
           portsupdateengine.cpp \
           pkgdbupdateengine.cpp \
           pkgdeinstallengine.cpp \
           fsdevice.cpp \
           accesspoint.cpp \
           dbsdsettings.cpp \
           defaultrouter.cpp \
           fastestcvsupengine.cpp \
           portsdbupdateengine.cpp \
           users.cpp \
           pkgversion.cpp \
           unixprocess.cpp \
           domainname.cpp \
           hostname.cpp \
           portscleanengine.cpp \
           pkgdbcheckengine.cpp \
           sambaconf.cpp \
           dbsdtranslator.cpp \
           environment.cpp \
           pkgupgradecontroller.cpp \
           portsnapengine.cpp \
           packagesettings.cpp

