/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __PACKAGESETTINGS_H
#define __PACKAGESETTINGS_H

#include <dbsdsettings.h>

/** @brief DBSDSettings class managing all settings related to package management.
  *
  * @see DBSDSettings
  */
class PackageSettings : public DBSDSettings {
public:
	QString getCvsupServer();
	bool setCvsupServer(const QString &);
	
	QString getSupFile();
	bool setSupFile(const QString &);

	bool getUpwardRecursive();
	bool setUpwardRecursive(bool);
	
	bool getRecursive();
	bool setRecursive(bool);
	
	bool getKDialogOptions();
	bool setKDialogOptions(bool);
	
	bool getKeepGoing();
	bool setKeepGoing(bool);
	
	int getPackageUse();
	bool setPackageUse(int);
	
	QStringList getMakeArguments();
	bool setMakeArguments(const QStringList &);
	
	QStringList getMakeEnvironment();
	bool setMakeEnvironment(const QStringList &);
	
	QString getPackageDirectory();
	bool setPackageDirectory(const QString &);
	
	bool isFirstRun();
	bool setFirstRun(bool);
	
	int getPortsUpdateMethod();
	bool setPortsUpdateMethod(int);
	
	QString getPortsnapWorkingDirectory();
	bool setPortsnapWorkingDirectory(const QString &);

	int getInstalledPkgsGroupBy();
	bool setInstalledPkgsGroupBy(int);
};

#endif /* __PACKAGESETTINGS_H */
